Bug 55188 - chinput dies/locks up upon login to gdm
chinput dies/locks up upon login to gdm
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: miniChinput (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-26 16:05 EDT by Graham Cole
Modified: 2013-01-10 16:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-26 16:05:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Cole 2001-10-26 16:05:26 EDT
Description of Problem:

when you select simplified chinese and log in through gdm, you are still
unable to input chinese.

Version-Release number of selected component (if applicable):
0.0.2

How Reproducible:
Every Time

Steps to Reproduce:
1. slect simplifed chinese at gdm login screen
2. log in
3. start up a terminal, hit ctrl-space and no entry window comes up
as it should.

Actual Results:I did a ps auwx | grep chinput
iakka    7406  0.6  0.0     0    0 ?        Z    12:37   0:00 [chinput
<defunct>]
diakka    7450  0.0  1.2  6460 3308 ?        S    12:37   0:00 chinput

pstree shows the following:
init-+-artsd
     |-atd
     |-chinput
     |-crond
     |-cserver
     |-deskguide_apple
     |-dhcpcd
     |-gconfd-1
     |-gdm---gdm-+-X
     |           `-gnome-session-+-Xsession
     |                           `-chinput


also, if i kill the chinput process that is apparently still alive
according to ps, then restart chinput from the command line, all future
windows I bring up, will be able to bring up the chinese entry window when
I press ctrl-space.

If I don't kill chinput before starting a new one, X sort of locks up.  no
windows/gnome-panel respond.  only the window manager seems to still be
functional at this point.

Expected Results:
I expected the chinese input window to pop up when i hit ctrl-space

Additional Information:

I'm using a Matrox Millenium (MGA 2064W), which does not use an
XFree86 v4.x X server.  On my other machine, an athlon 1.2Mhz with a voodoo
3, chinput seems to work just fine.
Comment 1 Yu Shao 2001-11-12 00:30:25 EST
Commenting out of the last 4 lines of /etc/X11/xinit/xinitrc.d/xinput will fix
the problem. This file belongs to xinitrc-3.20-1.

llch@redhat.com will put a patch through soon.

#if which $XIM_PROGRAM >/dev/null 2>&1 ; then
#  echo -n "XIM DEBUG: "
#        $XIM_PROGRAM $XIM_ARGS&
#fi

Note You need to log in before you can comment on or make changes to this bug.